var tabla;
function init() {
    $("#formulario").on("submit", function(e) {
      //  guardar(e);
    });

}



function cargarSelectApoderados() {
    $.ajax({
        url: "../../controller/fichas.php?op=combo",
        type: "GET",
        dataType: "json",
        success: function (data) {
            let options = `<option value="">Seleccione...</option>`;
            data.forEach(function (fic) {
                options += `<option value="${fic.fic_id}">${fic.fic_nom}</option>`;
            });
            $("#fic_id").html(options);
          
        }
    });
    $.ajax({
        url: "../../controller/precios.php?op=select_precios",
        type: "GET",
        dataType: "json",
        success: function (data) {
            let options = `<option value="">Seleccione...</option>`;
            data.forEach(function (pre) {
                options += `<option value="${pre.pre_costo}">${pre.pre_costo}</option>`;
            });
            $("#pre_id").html(options);
        }
    });
}



$(document).ready(function() {
    init();
    cargarSelectApoderados();

 
});

$("#btnreservar").on("click", function() {
    guardarAgenda();
});

function guardarAgenda() {
    const id_colab = $("#id_colab").val();
    const fic_id = $("#fic_id").val();
    const fecha = $("#fec_session").val();
    const hora = $("#hora").val();
    const minuto = $("#minuto").val();
    const id_prof= $("#id_prof").val();
    const valor = $("#pre_id").val();

    if (!fic_id || !fecha || !hora || !minuto || !valor || !id_colab || !id_prof) {
        Swal.fire("Error", "Todos los campos son obligatorios", "error");
        return;
    }

    $.ajax({
        url: "../../controller/agenda.php?op=guardar",
        type: "POST",
        data: {
            fic_id: fic_id,
            fec_session: fecha,
            hora: hora,
            minuto: minuto,
            id_colab: id_colab,
            id_prof: id_prof,
            valor: valor
        },
        dataType: "json",
        success: function (response) {
            if (response.success) {
                Swal.fire("Éxito", "Sesión agendada correctamente", "success");
                $("#fic_id").val("");
                $("#fec_session").val("");
                $("#hora").val("08");
                $("#minuto").val("00");
                $("#pre_id").val("");
            } else {
                Swal.fire("Error", response.msg || "Error al guardar la sesión", "error");
            }
        },
        error: function () {
            Swal.fire("Error", "No se pudo contactar al servidor", "error");
        }
    });
}
 





